//Algorithm for calculating the volume
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 27/01/2022
/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/

#include <iostream>
#include <math.h>
using namespace std;
//Exercise 13
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/
 
int main() {
	
	Run();
	return 0;
	}

/*******************************************************************************************************************************************
 *  												DEFINE
 *******************************************************************************************************************************************/

#define PI 	3.1416	
/******************************************************************************************************************************************* 
*  												GLOBAL VARIABLE
*******************************************************************************************************************************************/
	float height; 
	float largerDiameter; 
	float minorDiamater; 
	float volume; 
//********************************************************************FUNCTION DEFINITION*************************************************************************************************
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//===================================================================================================================================================================================
void CollectData(){
	cout<<"========== Insert Data ==========\r\n";
	cout <<"Digite la altura : "; 
	cin>>height ;                                      
	cout<<"\r\nDigite el diametro  mayor en cm : ";
	cin>>largerDiameter ;                             
	cout<<"\r\nDigite el diametro menor en cm : ";
	cin>>minorDiamater ;                               
}
//======================================================================================================================================================================================================================
void Calculate(){

	volume = (PI/12)*(height)*(2*(pow(largerDiameter,2))+pow(minorDiamater,2)); 
}
//=======================================================================================================================================================================================
void ShowResults(){
	//results
	cout<<"\r\n========== Show results ==========\r\n";
	cout<<"El volumen del tonel es : "<<volume<<" cm^3 " ;  	
}
	
	
	
	
